Page MenuHomePhabricator

Display core version of watchlist page for AMC users
Closed, ResolvedPublic3 Story Points

Description

User story

As an experienced editor, I would like to be able to access the entire functionality of the watchlist page from my mobile device so that I can perform my work on mobile

Acceptance criteria

  • all desktop functionality (with tentative exceptions TBD) will be available on mobile - this means we need to disable the redirects for 2 pages - EditWatchlist and Watchlist (see T225127#5446716 assume solution A)
  • use a feature flag to allow us to QA and design review before shipping. Copy the example of wgMFUseDesktopSpecialHistoryPage - and create wgMFUseDesktopSpecialWatchlistPage
  • Make sure styles for Contributions and RecentChanges are used on Watchlist using existing menus. Any new things are out of scope and will be split out into a new task. Don't touch the mixins!
  • Do not touch JS mentioned in problem2 on T225127#5446716. That if a problem will be descoped.

Design notes

The Watchlist page seems to be quite similar to recent changes in terms of appearance and functionality. It contains the same filter component at the top, and a similar list of pages below. Here is a basic design following from the work in T223922:

Basic DesignRefinements

Notes

let's try to use as much of the work we did on recent changes here as well, as filters and list items are extremely similar

QA Steps

  1. visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist
  2. play around on the page
  3. design of page should match the "Basic design" above, minus the issues called out in T235535 and T235536

Sign off steps

  • Open a task for enabling the Watchlist in production.

QA Results

ACStatusDetails
1T225127#5582793

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
OpenNone
Resolvedovasileva
Resolvedovasileva
DuplicateNone
ResolvedJdlrobson
Resolvedovasileva
ResolvedJdlrobson
DuplicateNone
ResolvedNone
Resolvedovasileva
ResolvedMNeisler
ResolvedJdrewniak
ResolvedJdrewniak
Resolvedovasileva
OpenNone
Resolvedovasileva
Resolvedovasileva
InvalidNone
Resolvedovasileva
Resolvedovasileva
Resolvedphuedx
ResolvedNiedzielski
Resolvedovasileva
OpenJdlrobson

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson reassigned this task from Jdrewniak to ovasileva.Sep 10 2019, 3:42 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdrewniak.

I think this is ready @ovasileva provided we are okay with the scope - get these enabled behind a feature flag doing the minimum possible.

Jdlrobson updated the task description. (Show Details)Sep 10 2019, 4:19 PM
Jdlrobson updated the task description. (Show Details)
ovasileva removed ovasileva as the assignee of this task.Sep 10 2019, 4:20 PM
ovasileva set the point value for this task to 3.

Change 537104 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/MobileFrontend@master] Provide feature for exposing desktop Special:Watchlist page

https://gerrit.wikimedia.org/r/537104

Change 537104 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Provide feature for exposing desktop Special:Watchlist page

https://gerrit.wikimedia.org/r/537104

Change 537492 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[operations/mediawiki-config@master] beta: enable desktop watchlist for mobile AMC users

https://gerrit.wikimedia.org/r/537492

Change 537492 abandoned by Jdrewniak:
beta: enable desktop watchlist for mobile AMC users

https://gerrit.wikimedia.org/r/537492

Change 537495 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[operations/mediawiki-config@master] beta: enable desktop watchlist for mobile AMC users

https://gerrit.wikimedia.org/r/537495

Change 537495 merged by jenkins-bot:
[operations/mediawiki-config@master] beta: enable desktop watchlist for mobile AMC users

https://gerrit.wikimedia.org/r/537495

So the change has been merged. Where I can see the demo?

We've tried enabling this change on the beta cluster, but for unknown reasons it doesn't appear to work there (works locally :/). This requires further investigation, the fault might be with the beta cluster or with the change itself.

There's a minor style issue with the top portion of the page where the description and "edit your list of watched pages" button is.

Fix arriving shortly.

Change 538847 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/core@master] Improve the top section of Special:Watchlist for small screens

https://gerrit.wikimedia.org/r/538847

Change 538847 merged by jenkins-bot:
[mediawiki/core@master] Improve the top section of Special:Watchlist for small screens

https://gerrit.wikimedia.org/r/538847

Jdlrobson updated the task description. (Show Details)

@Jdrewniak I'm seeing the font-size change as the page loads...

@Jdlrobson that seems fixable, will do!

Change 539403 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Avoid flash of unstyled content on Special:Watchlist

https://gerrit.wikimedia.org/r/539403

Change 539403 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Avoid flash of unstyled content on Special:Watchlist

https://gerrit.wikimedia.org/r/539403

Jdlrobson updated the task description. (Show Details)Sep 27 2019, 12:24 AM

One more FOUC:

Issue 2:

Issue 3 Text too big?

Issue 4:
LARGE BUTTON!
https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:EditWatchlist/clear

Issue 5:
T232284

Per the last acceptance criteria, we should probably capture these and any others in separate bugs...? What do you think?

alexhollender removed alexhollender as the assignee of this task.Oct 4 2019, 4:45 PM

Looking good. Could we left-align the Edit your list of watched pages and Saved filters buttons? The Saved filters button also needs some padding/margin on top.

currentupdated
Jdlrobson updated the task description. (Show Details)Oct 4 2019, 5:28 PM

I've created tasks for the two current issues. Moving this along.

Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist
play around on the page
❌ AC1: design of page should match the "Basic design" above, minus the issues called out in T235535 and T235536

The items listed as OK are for the issues called out above and on the image for convenience. The rest of the items differ from the "Basic design"

I moved it to Ready for Signoff out of habit. I blame myself and the team's high quality work.

Edtadros updated the task description. (Show Details)Thu, Oct 17, 2:59 AM

@alexhollender and @Jdlrobson to sync on the other bugs.

@alexhollender stray semicolon is tracked in T233649
There's no bug for the new line but if you want it, you can make one... I think we can do it with the following rule:

.mw-userlink {
display: block;

clear: both;
}
alexhollender removed alexhollender as the assignee of this task.Wed, Oct 23, 11:02 PM

@alexhollender stray semicolon is tracked in T233649
There's no bug for the new line but if you want it, you can make one...

Ok that's tracked here now T236328. We can resolve this task.

ovasileva closed this task as Resolved.Thu, Oct 24, 9:13 AM
ovasileva claimed this task.

Resolving. Yay! @alexhollender - let me know if there's other issues to deployment, otherwise, let's schedule T235414: Deploy core version of watchlist for AMC users for Monday

Johan moved this task from To Triage to Announce in next Tech/News on the User-notice board.